## ipsvd 0.11.1

=== ipsvd-0.11.1/src/Makefile ===
IT=tcpsvd udpsvd ipsvd-cdb

default: command.ssl $(IT)
	$(MAKE) `cat command.ssl`

check: check-tcpsvd check-udpsvd check-ipsvd-cdb
	./check-local $(IT) `grep -v nossl <command.ssl || :`

tcpsvd: load tcpsvd.o ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_phcc.o ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a \
	  time.a socket.lib
	./load tcpsvd ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_phcc.o ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a \
	  time.a `cat socket.lib`

udpsvd: load udpsvd.o ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a time.a socket.lib
	./load udpsvd ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a time.a \
	  `cat socket.lib`

ipsvd-cdb: load ipsvd-cdb.o ipsvd_fmt.o ipsvd_check.o cdb.a dns.a unix.a \
	  byte.a time.a
	./load ipsvd-cdb ipsvd_fmt.o ipsvd_check.o cdb.a dns.a unix.a byte.a \
	  time.a `cat socket.lib`

sslio: load sslio.o uidgid.o sslerror_str.o unix.a byte.a time.a matrixssl.a
	./load sslio uidgid.o sslerror_str.o unix.a byte.a time.a matrixssl.a

matrixssl.a: makelib matrixssl
	install -m0644 Makefile.matrixssl matrixssl/src/Makefile.matrixssl
	(cd matrixssl/src && $(MAKE) -fMakefile.matrixssl matrixssl.a)
	install -m0644 matrixssl/src/matrixssl.a matrixssl.a

matrixssl: matrixssl.tar.gz compile load
	gzip -dc matrixssl.tar.gz |tar xf -
	sed -e 's/#define USE_MULTITHREADING/#undef USE_MULTITHREADING/' \
	  <matrixssl/src/matrixConfig.h >matrixConfig.h && \
	    mv -f matrixConfig.h matrixssl/src/matrixConfig.h
	touch matrixssl

check-tcpsvd: load check-tcpsvd.o unix.a byte.a socket.lib
	./load check-tcpsvd unix.a byte.a `cat socket.lib`

check-udpsvd: load check-udpsvd.o unix.a byte.a socket.lib
	./load check-udpsvd unix.a byte.a `cat socket.lib`

check-ipsvd-cdb: load check-ipsvd-cdb.o uint32_unpack.o unix.a byte.a
	./load check-ipsvd-cdb uint32_unpack.o unix.a byte.a

tcpsvd.o: compile sysdeps tcpsvd.c ipsvd_log.h
	./compile tcpsvd.c

udpsvd.o: compile sysdeps udpsvd.c ipsvd_log.h
	./compile udpsvd.c

ipsvd-cdb.o: compile sysdeps ipsvd-cdb.c
	./compile ipsvd-cdb.c

sslio.o: compile sysdeps sslio.c matrixssl
	./compile -I./matrixssl sslio.c

check-tcpsvd.o: compile check-tcpsvd.c
	./compile check-tcpsvd.c

check-udpsvd.o: compile check-udpsvd.c
	./compile check-udpsvd.c

check-ipsvd-cdb.o: compile uint32.h check-ipsvd-cdb.c
	./compile check-ipsvd-cdb.c

ipsvd_log.o: compile ipsvd_log.c
	./compile ipsvd_log.c

ipsvd_fmt.o: compile ipsvd_fmt.c
	./compile ipsvd_fmt.c

ipsvd_check.o: compile ipsvd_check.c uint64.h
	./compile ipsvd_check.c

ipsvd_hostname.o: compile ipsvd_hostname.c uint64.h
	./compile ipsvd_hostname.c

ipsvd_phcc.o: compile ipsvd_phcc.c
	./compile ipsvd_phcc.c

ipsvd_scan.o: compile ipsvd_scan.c
	./compile ipsvd_scan.c

uidgid.o: compile uidgid.c uidgid.h
	./compile uidgid.c

sslerror_str.o: compile sslerror_str.c sslerror_str.h matrixssl
	./compile -I./matrixssl sslerror_str.c

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	(./load trysocketlib >/dev/null 2>&1 || \
	  (./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet') || \
	  (./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl') ) >socket.lib
	rm -f trysocketlib.o trysocketlib

command.ssl: command.sslcheck
command.sslcheck:
	( (test ! -r matrixssl.tar.gz && echo nossl) || \
	  echo sslio) >command.sslcheck
	mv -f command.sslcheck command.ssl

nossl:
	: no ssl library, not making sslio

clean:
	rm -f `cat TARGETS` *~
	rm -rf matrixssl


alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o byte_zero.o \
	  case_diffb.o fmt_uint.o fmt_uint0.o fmt_ulong.o ip4_scan.o makelib \
	  scan_ulong.o str_chr.o str_diff.o str_len.o str_start.o \
	  uint16_pack.o uint16_unpack.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	  byte_rchr.o byte_zero.o case_diffb.o fmt_uint.o fmt_uint0.o \
	  fmt_ulong.o ip4_scan.o scan_ulong.o str_chr.o str_diff.o str_len.o \
	  str_start.o uint16_pack.o uint16_unpack.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

byte_zero.o: byte.h byte_zero.c compile
	./compile byte_zero.c

case_diffb.o: case.h case_diffb.c compile
	./compile case_diffb.c

chkshsgr: chkshsgr.o load
	./load chkshsgr

chkshsgr.o: chkshsgr.c compile
	./compile chkshsgr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh >choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh >compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 >direntry.h

dns.a: makelib dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o dns_ipq.o dns_mx.o \
	  dns_name.o dns_nd.o dns_packet.o dns_random.o dns_rcip.o \
	  dns_rcrw.o dns_resolve.o dns_sortip.o dns_transmit.o dns_txt.o
	./makelib dns.a dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o dns_ipq.o \
	  dns_mx.o dns_name.o dns_nd.o dns_packet.o dns_random.o dns_rcip.o \
	  dns_rcrw.o dns_resolve.o dns_sortip.o dns_transmit.o dns_txt.o

dns_dfd.o: compile dns_dfd.c error.h alloc.h byte.h dns.h stralloc.h \
	  gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_dfd.c

dns_domain.o: compile dns_domain.c error.h alloc.h case.h byte.h dns.h \
	  stralloc.h gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_domain.c

dns_dtda.o: compile dns_dtda.c stralloc.h gen_alloc.h dns.h stralloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_dtda.c

dns_ip.o: compile dns_ip.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ip.c

dns_ipq.o: compile dns_ipq.c stralloc.h gen_alloc.h case.h byte.h str.h \
	  dns.h stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ipq.c

dns_mx.o: compile dns_mx.c stralloc.h gen_alloc.h byte.h uint16.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_mx.c

dns_name.o: compile dns_name.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_name.c

dns_nd.o: compile dns_nd.c byte.h fmt.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_nd.c

dns_packet.o: compile dns_packet.c error.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_packet.c

dns_random.o: compile dns_random.c dns.h stralloc.h gen_alloc.h iopause.h \
	  taia.h tai.h uint64.h taia.h taia.h uint32.h
	./compile dns_random.c

dns_rcip.o: compile dns_rcip.c taia.h tai.h uint64.h openreadclose.h \
	  stralloc.h gen_alloc.h byte.h ip4.h env.h dns.h stralloc.h \
	  iopause.h taia.h taia.h
	./compile dns_rcip.c

dns_rcrw.o: compile dns_rcrw.c taia.h tai.h uint64.h env.h byte.h str.h \
	  openreadclose.h stralloc.h gen_alloc.h dns.h stralloc.h iopause.h \
	  taia.h taia.h
	./compile dns_rcrw.c

dns_resolve.o: compile dns_resolve.c iopause.h taia.h tai.h uint64.h taia.h \
	  byte.h dns.h stralloc.h gen_alloc.h iopause.h taia.h
	./compile dns_resolve.c

dns_sortip.o: compile dns_sortip.c byte.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_sortip.c

dns_transmit.o: compile dns_transmit.c socket.h uint16.h alloc.h error.h \
	  byte.h uint16.h dns.h stralloc.h gen_alloc.h iopause.h taia.h \
	  tai.h uint64.h taia.h
	./compile dns_transmit.c

dns_txt.o: compile dns_txt.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_txt.c

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 >hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 >hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 >hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 >hassgprm.h

hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load tryshsgr.c \
	  warn-shsgr
	./chkshsgr || (cat warn-shsgr; exit 1)
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 >hasshsgr.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 >haswaitp.h

ip4_scan.o: compile ip4_scan.c scan.h ip4.h
	./compile ip4_scan.c

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 >iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh >load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh >makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
	  openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

pathexec_env.o: alloc.h byte.h compile env.h gen_alloc.h pathexec.h \
	  pathexec_env.c str.h stralloc.h
	./compile pathexec_env.c

pathexec_run.o: compile env.h error.h gen_alloc.h pathexec.h pathexec_run.c \
	  str.h stralloc.h
	./compile pathexec_run.c

prot.o: compile hasshsgr.h prot.c prot.h
	./compile prot.c

readclose.o: compile error.h gen_alloc.h readclose.c readclose.h stralloc.h
	./compile readclose.c

scan_ulong.o: compile scan.h scan_ulong.c
	./compile scan_ulong.c

seek_set.o: compile seek.h seek_set.c
	./compile seek_set.c

select.h: choose compile select.h1 select.h2 trysysel.c
	./choose c trysysel select.h1 select.h2 >select.h

sgetopt.o: buffer.h compile sgetopt.c sgetopt.h subgetopt.h
	./compile sgetopt.c

sig.o: compile sig.c sig.h
	./compile sig.c

sig_block.o: compile hassgprm.h sig.h sig_block.c

## ipsvd 1.0.0

=== ipsvd-1.0.0/src/Makefile ===
IT=tcpsvd udpsvd ipsvd-cdb

default: command.ssl $(IT)
	$(MAKE) `cat command.ssl`

check: check-tcpsvd check-udpsvd check-ipsvd-cdb
	./check-local $(IT) `grep -v nossl <command.ssl || :`

tcpsvd: load tcpsvd.o ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_phcc.o ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a \
	  time.a socket.lib
	./load tcpsvd ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_phcc.o ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a \
	  time.a `cat socket.lib`

sslsvd: load sslsvd.o ssl_io.o sslerror_str.o ipsvd_log.o ipsvd_fmt.o \
	  ipsvd_check.o ipsvd_hostname.o ipsvd_phcc.o ipsvd_scan.o uidgid.o \
	  cdb.a dns.a unix.a byte.a time.a socket.lib matrixssl.a
	./load sslsvd ssl_io.o sslerror_str.o ipsvd_log.o ipsvd_fmt.o \
	  ipsvd_check.o ipsvd_hostname.o ipsvd_phcc.o ipsvd_scan.o uidgid.o \
	  cdb.a dns.a unix.a byte.a time.a `cat socket.lib` matrixssl.a

udpsvd: load udpsvd.o ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a time.a socket.lib
	./load udpsvd ipsvd_log.o ipsvd_fmt.o ipsvd_check.o ipsvd_hostname.o \
	  ipsvd_scan.o uidgid.o cdb.a dns.a unix.a byte.a time.a \
	  `cat socket.lib`

ipsvd-cdb: load ipsvd-cdb.o ipsvd_fmt.o ipsvd_check.o cdb.a dns.a unix.a \
	  byte.a time.a
	./load ipsvd-cdb ipsvd_fmt.o ipsvd_check.o cdb.a dns.a unix.a byte.a \
	  time.a `cat socket.lib`

sslio: load sslio.o ssl_io.o uidgid.o sslerror_str.o unix.a byte.a time.a \
	  matrixssl.a
	./load sslio ssl_io.o uidgid.o sslerror_str.o unix.a byte.a time.a \
	  matrixssl.a

matrixssl.a: makelib matrixssl
	install -m0644 Makefile.matrixssl matrixssl/src/Makefile.matrixssl
	(cd matrixssl/src && $(MAKE) -fMakefile.matrixssl matrixssl.a)
	install -m0644 matrixssl/src/matrixssl.a matrixssl.a

matrixssl: matrixssl.tar.gz compile load
	gzip -dc matrixssl.tar.gz |tar xf -
	test -e matrixssl || ln -s matrixssl-* matrixssl
	sed -e 's/#define USE_MULTITHREADING/#undef USE_MULTITHREADING/' \
	  <matrixssl/src/matrixConfig.h >matrixConfig.h && \
	    mv -f matrixConfig.h matrixssl/src/matrixConfig.h
	echo '#ifndef CLK_TCK' >>matrixssl/src/os/osLayer.h
	echo '#define CLK_TCK CLOCKS_PER_SEC' >>matrixssl/src/os/osLayer.h
	echo '#endif' >>matrixssl/src/os/osLayer.h
	touch matrixssl

check-tcpsvd: load check-tcpsvd.o unix.a byte.a socket.lib
	./load check-tcpsvd unix.a byte.a `cat socket.lib`

check-udpsvd: load check-udpsvd.o unix.a byte.a socket.lib
	./load check-udpsvd unix.a byte.a `cat socket.lib`

check-ipsvd-cdb: load check-ipsvd-cdb.o uint32_unpack.o unix.a byte.a
	./load check-ipsvd-cdb uint32_unpack.o unix.a byte.a

tcpsvd.o: compile sysdeps tcpsvd.c ipsvd_log.h
	./compile tcpsvd.c

sslsvd.o: compile sysdeps tcpsvd.c ssl_io.c ipsvd_log.h matrixssl
	./compile -I./matrixssl sslsvd.c

ssl_io.o: compile sysdeps ssl_io.c matrixssl
	./compile -I./matrixssl ssl_io.c

udpsvd.o: compile sysdeps udpsvd.c ipsvd_log.h
	./compile udpsvd.c

ipsvd-cdb.o: compile sysdeps ipsvd-cdb.c
	./compile ipsvd-cdb.c

sslio.o: compile sysdeps sslio.c matrixssl
	./compile -I./matrixssl sslio.c

check-tcpsvd.o: compile check-tcpsvd.c
	./compile check-tcpsvd.c

check-udpsvd.o: compile check-udpsvd.c
	./compile check-udpsvd.c

check-ipsvd-cdb.o: compile uint32.h check-ipsvd-cdb.c
	./compile check-ipsvd-cdb.c

ipsvd_log.o: compile ipsvd_log.c
	./compile ipsvd_log.c

ipsvd_fmt.o: compile ipsvd_fmt.c
	./compile ipsvd_fmt.c

ipsvd_check.o: compile ipsvd_check.c uint64.h
	./compile ipsvd_check.c

ipsvd_hostname.o: compile ipsvd_hostname.c uint64.h
	./compile ipsvd_hostname.c

ipsvd_phcc.o: compile ipsvd_phcc.c
	./compile ipsvd_phcc.c

ipsvd_scan.o: compile ipsvd_scan.c
	./compile ipsvd_scan.c

uidgid.o: compile uidgid.c uidgid.h
	./compile uidgid.c

sslerror_str.o: compile sslerror_str.c sslerror_str.h matrixssl
	./compile -I./matrixssl sslerror_str.c

socket.lib: compile load trysocketlib.c
	./compile trysocketlib.c
	(./load trysocketlib >/dev/null 2>&1 || \
	  (./load trysocketlib -lxnet >/dev/null 2>&1 && echo '-lxnet') || \
	  (./load trysocketlib -lsocket -lnsl >/dev/null 2>&1 && \
	    echo '-lsocket -lnsl') ) >socket.lib
	rm -f trysocketlib.o trysocketlib

command.ssl: command.sslcheck
command.sslcheck:
	( (test ! -r matrixssl.tar.gz && echo nossl) || \
	  echo sslio sslsvd) >command.sslcheck
	mv -f command.sslcheck command.ssl

nossl:
	: no ssl library, not making sslio

clean:
	rm -f `cat TARGETS` *~
	rm -rf matrixssl matrixssl-*


alloc.o: alloc.c alloc.h compile error.h
	./compile alloc.c

alloc_re.o: alloc.h alloc_re.c byte.h compile
	./compile alloc_re.c

buffer.o: buffer.c buffer.h compile
	./compile buffer.c

buffer_0.o: buffer.h buffer_0.c compile
	./compile buffer_0.c

buffer_1.o: buffer.h buffer_1.c compile
	./compile buffer_1.c

buffer_2.o: buffer.h buffer_2.c compile
	./compile buffer_2.c

buffer_get.o: buffer.h buffer_get.c byte.h compile error.h
	./compile buffer_get.c

buffer_put.o: buffer.h buffer_put.c byte.h compile error.h str.h
	./compile buffer_put.c

buffer_read.o: buffer.h buffer_read.c compile
	./compile buffer_read.c

buffer_write.o: buffer.h buffer_write.c compile
	./compile buffer_write.c

byte.a: byte_chr.o byte_copy.o byte_cr.o byte_diff.o byte_rchr.o byte_zero.o \
	  case_diffb.o fmt_uint.o fmt_uint0.o fmt_ulong.o ip4_scan.o makelib \
	  scan_ulong.o str_chr.o str_diff.o str_len.o str_start.o \
	  uint16_pack.o uint16_unpack.o
	./makelib byte.a byte_chr.o byte_copy.o byte_cr.o byte_diff.o \
	  byte_rchr.o byte_zero.o case_diffb.o fmt_uint.o fmt_uint0.o \
	  fmt_ulong.o ip4_scan.o scan_ulong.o str_chr.o str_diff.o str_len.o \
	  str_start.o uint16_pack.o uint16_unpack.o

byte_chr.o: byte.h byte_chr.c compile
	./compile byte_chr.c

byte_copy.o: byte.h byte_copy.c compile
	./compile byte_copy.c

byte_cr.o: byte.h byte_cr.c compile
	./compile byte_cr.c

byte_diff.o: byte.h byte_diff.c compile
	./compile byte_diff.c

byte_rchr.o: byte.h byte_rchr.c compile
	./compile byte_rchr.c

byte_zero.o: byte.h byte_zero.c compile
	./compile byte_zero.c

case_diffb.o: case.h case_diffb.c compile
	./compile case_diffb.c

chkshsgr: chkshsgr.o load
	./load chkshsgr

chkshsgr.o: chkshsgr.c compile
	./compile chkshsgr.c

choose: choose.sh warn-auto.sh
	rm -f choose
	cat warn-auto.sh choose.sh >choose
	chmod 555 choose

coe.o: coe.c coe.h compile
	./compile coe.c

compile: conf-cc print-cc.sh systype warn-auto.sh
	rm -f compile
	sh print-cc.sh >compile
	chmod 555 compile

direntry.h: choose compile direntry.h1 direntry.h2 trydrent.c
	./choose c trydrent direntry.h1 direntry.h2 >direntry.h

dns.a: makelib dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o dns_ipq.o dns_mx.o \
	  dns_name.o dns_nd.o dns_packet.o dns_random.o dns_rcip.o \
	  dns_rcrw.o dns_resolve.o dns_sortip.o dns_transmit.o dns_txt.o
	./makelib dns.a dns_dfd.o dns_domain.o dns_dtda.o dns_ip.o dns_ipq.o \
	  dns_mx.o dns_name.o dns_nd.o dns_packet.o dns_random.o dns_rcip.o \
	  dns_rcrw.o dns_resolve.o dns_sortip.o dns_transmit.o dns_txt.o

dns_dfd.o: compile dns_dfd.c error.h alloc.h byte.h dns.h stralloc.h \
	  gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_dfd.c

dns_domain.o: compile dns_domain.c error.h alloc.h case.h byte.h dns.h \
	  stralloc.h gen_alloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_domain.c

dns_dtda.o: compile dns_dtda.c stralloc.h gen_alloc.h dns.h stralloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_dtda.c

dns_ip.o: compile dns_ip.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ip.c

dns_ipq.o: compile dns_ipq.c stralloc.h gen_alloc.h case.h byte.h str.h \
	  dns.h stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_ipq.c

dns_mx.o: compile dns_mx.c stralloc.h gen_alloc.h byte.h uint16.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_mx.c

dns_name.o: compile dns_name.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_name.c

dns_nd.o: compile dns_nd.c byte.h fmt.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_nd.c

dns_packet.o: compile dns_packet.c error.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_packet.c

dns_random.o: compile dns_random.c dns.h stralloc.h gen_alloc.h iopause.h \
	  taia.h tai.h uint64.h taia.h taia.h uint32.h
	./compile dns_random.c

dns_rcip.o: compile dns_rcip.c taia.h tai.h uint64.h openreadclose.h \
	  stralloc.h gen_alloc.h byte.h ip4.h env.h dns.h stralloc.h \
	  iopause.h taia.h taia.h
	./compile dns_rcip.c

dns_rcrw.o: compile dns_rcrw.c taia.h tai.h uint64.h env.h byte.h str.h \
	  openreadclose.h stralloc.h gen_alloc.h dns.h stralloc.h iopause.h \
	  taia.h taia.h
	./compile dns_rcrw.c

dns_resolve.o: compile dns_resolve.c iopause.h taia.h tai.h uint64.h taia.h \
	  byte.h dns.h stralloc.h gen_alloc.h iopause.h taia.h
	./compile dns_resolve.c

dns_sortip.o: compile dns_sortip.c byte.h dns.h stralloc.h gen_alloc.h \
	  iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_sortip.c

dns_transmit.o: compile dns_transmit.c socket.h uint16.h alloc.h error.h \
	  byte.h uint16.h dns.h stralloc.h gen_alloc.h iopause.h taia.h \
	  tai.h uint64.h taia.h
	./compile dns_transmit.c

dns_txt.o: compile dns_txt.c stralloc.h gen_alloc.h uint16.h byte.h dns.h \
	  stralloc.h iopause.h taia.h tai.h uint64.h taia.h
	./compile dns_txt.c

env.o: compile env.c env.h str.h
	./compile env.c

error.o: compile error.c error.h
	./compile error.c

error_str.o: compile error.h error_str.c
	./compile error_str.c

fd_copy.o: compile fd.h fd_copy.c
	./compile fd_copy.c

fd_move.o: compile fd.h fd_move.c
	./compile fd_move.c

fifo.o: compile fifo.c fifo.h hasmkffo.h
	./compile fifo.c

fmt_uint.o: compile fmt.h fmt_uint.c
	./compile fmt_uint.c

fmt_uint0.o: compile fmt.h fmt_uint0.c
	./compile fmt_uint0.c

fmt_ulong.o: compile fmt.h fmt_ulong.c
	./compile fmt_ulong.c

hasflock.h: choose compile hasflock.h1 hasflock.h2 load tryflock.c
	./choose cl tryflock hasflock.h1 hasflock.h2 >hasflock.h

hasmkffo.h: choose compile hasmkffo.h1 hasmkffo.h2 load trymkffo.c
	./choose cl trymkffo hasmkffo.h1 hasmkffo.h2 >hasmkffo.h

hassgact.h: choose compile hassgact.h1 hassgact.h2 load trysgact.c
	./choose cl trysgact hassgact.h1 hassgact.h2 >hassgact.h

hassgprm.h: choose compile hassgprm.h1 hassgprm.h2 load trysgprm.c
	./choose cl trysgprm hassgprm.h1 hassgprm.h2 >hassgprm.h

hasshsgr.h: chkshsgr choose compile hasshsgr.h1 hasshsgr.h2 load tryshsgr.c \
	  warn-shsgr
	./chkshsgr || (cat warn-shsgr; exit 1)
	./choose clr tryshsgr hasshsgr.h1 hasshsgr.h2 >hasshsgr.h

haswaitp.h: choose compile haswaitp.h1 haswaitp.h2 load trywaitp.c
	./choose cl trywaitp haswaitp.h1 haswaitp.h2 >haswaitp.h

ip4_scan.o: compile ip4_scan.c scan.h ip4.h
	./compile ip4_scan.c

iopause.h: choose compile iopause.h1 iopause.h2 load trypoll.c
	./choose clr trypoll iopause.h1 iopause.h2 >iopause.h

iopause.o: compile iopause.c iopause.h select.h tai.h taia.h uint64.h
	./compile iopause.c

load: conf-ld print-ld.sh systype warn-auto.sh
	rm -f load
	sh print-ld.sh >load
	chmod 555 load

lock_ex.o: compile hasflock.h lock.h lock_ex.c
	./compile lock_ex.c

lock_exnb.o: compile hasflock.h lock.h lock_exnb.c
	./compile lock_exnb.c

makelib: print-ar.sh systype warn-auto.sh
	rm -f makelib
	sh print-ar.sh >makelib
	chmod 555 makelib

ndelay_off.o: compile ndelay.h ndelay_off.c
	./compile ndelay_off.c

ndelay_on.o: compile ndelay.h ndelay_on.c
	./compile ndelay_on.c

open_append.o: compile open.h open_append.c
	./compile open_append.c

open_read.o: compile open.h open_read.c
	./compile open_read.c

open_trunc.o: compile open.h open_trunc.c
	./compile open_trunc.c

open_write.o: compile open.h open_write.c
	./compile open_write.c

openreadclose.o: compile error.h gen_alloc.h open.h openreadclose.c \
	  openreadclose.h readclose.h stralloc.h
	./compile openreadclose.c

=== debian/changelog ===
ipsvd (1.0.0-12) unstable; urgency=medium

  * QA upload.
  * Revert fakeroot workarounds, sbuild has been fixed.  (Closes: #1098859)
  * Fix FTBFS with GCC-15.  (Closes: #1096848)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 26 Feb 2025 12:15:24 +0100

ipsvd (1.0.0-11) unstable; urgency=medium

  * QA upload.
  * Run more of the build under fakeroot.

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 11:39:28 +0000

ipsvd (1.0.0-10) unstable; urgency=medium

  * QA upload.
  * Run the tests under fakeroot since the previous attempt at fixing
    #1090184 did not work.
  * Restore `Rules-Requires-Root: no` since that revert did not fix
    anything.

 -- Niels Thykier <niels@thykier.net>  Tue, 31 Dec 2024 10:02:42 +0000

ipsvd (1.0.0-9) unstable; urgency=medium

  * QA upload.
  * Revert to Rules-Requires-Root: binary-targets, rootless build does not
    work on the buildds due to getgroups()/setgroups() issues.
    (Closes: #1090184)

 -- Andreas Beckmann <anbe@debian.org>  Sat, 21 Dec 2024 05:46:22 +0100

ipsvd (1.0.0-8) unstable; urgency=medium

  * QA upload
  * Build with "Rules-Requires-Root: no" (Closes: #1089348)

 -- Alexandre Detiste <tchet@debian.org>  Mon, 09 Dec 2024 15:26:31 +0100

ipsvd (1.0.0-7) unstable; urgency=medium

  [ Andreas Beckmann ]
  * QA upload.
  * Add build-arch/build-indep targets.
  * Add Homepage and watch file.

  [ Mathieu Mirmont ]
  * Fix ftbfs with GCC-14.  (Closes: #1075094)

 -- Andreas Beckmann <anbe@debian.org>  Wed, 28 Aug 2024 07:13:15 +0200

ipsvd (1.0.0-6) unstable; urgency=medium

  * QA upload.
  * Re-import package history into GIT.
  * Make the build verbose.
  * Do not omit the hardening flags.  (Closes: #1024283, #1069448)
  * Fix building with -Werror=implicit-function-declaration.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 21 Apr 2024 19:32:53 +0200

ipsvd (1.0.0-5) unstable; urgency=medium

  * QA upload.
  * Convert to 3.0 source format. (Closes: #1007382)

 -- Bastian Germann <bage@debian.org>  Fri, 02 Dec 2022 00:30:44 +0100

ipsvd (1.0.0-4) unstable; urgency=medium

  * QA upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>. (see: #947699)

 -- Marcos Talau <talau@debian.org>  Mon, 14 Nov 2022 07:56:01 -0300

ipsvd (1.0.0-3.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Apply patches by myself and Valerie R. Young to make the build
    reproducible. (Closes: #777417, #846890)

 -- Chris Lamb <lamby@debian.org>  Thu, 28 Sep 2017 09:53:28 +0100

ipsvd (1.0.0-3) unstable; urgency=low

  * debian/rules: no longer install the sslsvd, sslio programs and man
    pages, as matrixssl is orphaned (closes: #751500).
  * debian/control: no longer Build-Depends: libmatrixssl1.8-dev.
  * debian/diff/0001-Makefile-build-ssl-programs-with-...diff: remove;
    obsolete.
  * debian/ipsvd.NEWS.Debian: new; sslsvd and sslio programs are no
    longer included.

 -- Gerrit Pape <pape@smarden.org>  Sat, 26 Jul 2014 06:57:45 +0000

ipsvd (1.0.0-2) unstable; urgency=low

  * debian/control: Standards-Version: 3.9.2.0.

 -- Gerrit Pape <pape@smarden.org>  Thu, 20 Oct 2011 12:32:14 +0000

ipsvd (1.0.0-1) unstable; urgency=low

  * new upstream release.
  * debian/control: Standards-Version: 3.8.0.1.
  * debian/implicit: update to revision a09db2e.
  * debian/copyright: 2008.

 -- Gerrit Pape <pape@smarden.org>  Sun, 15 Jun 2008 20:38:05 +0000

ipsvd (0.14.0-2) unstable; urgency=low

  * debian/control: Suggests: runit instead of Recommends:.
  * debian/control: add Vcs-Git: http://smarden.org/git/ipsvd.git/.

 -- Gerrit Pape <pape@smarden.org>  Fri, 15 Feb 2008 01:34:07 +0000

ipsvd (0.14.0-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: switch from tarball-in-tarball to original upstream
    tarball.
  * debian/diff/matrixssl-shared.diff: redo with git as
    debian/diff/0001-Makefile-build-ssl-programs-with-shared-matrixssl-l.diff.
  * debian/rules: new target patch: apply patches from debian/diff/;
    reverse apply in target clean:.
  * debian/control: Standards-Version: 3.7.3.0.

 -- Gerrit Pape <pape@smarden.org>  Sat, 19 Jan 2008 11:29:54 +0000

ipsvd (0.13.0-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.8-dev (closes: #434254).
  * debian/control: Standards-Version: 3.7.2.2.

 -- Gerrit Pape <pape@smarden.org>  Sun, 26 Aug 2007 13:55:31 +0000

ipsvd (0.12.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon,  6 Feb 2006 18:41:07 +0000

ipsvd (0.12.0-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/matrixssl-shared.diff: new; upstream Makefile builds ssl*
    programs with shared matrixssl library.
  * debian/rules: ssl* programs now build from (patched) upstream Makefile.
  * debian/control: minor update to long description.

 -- Gerrit Pape <pape@smarden.org>  Sat,  4 Feb 2006 09:23:00 +0000

ipsvd (0.11.1-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Build-Depends: libmatrixssl1.7-dev (closes: #333905).
  * debian/diff/sslio.check.diff: remove; applied upstream.
  * debian/rules: don't apply diff.
  * debian/control: Standards-Version: 3.6.2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 19:05:37 +0000

ipsvd (0.11.0-2) unstable; urgency=low

  * debian/diff/sslio.check.diff: new; tweak sslio program check (fixes
    testing failure on m68k).
  * debian/rules: target unpack: apply diff.

 -- Gerrit Pape <pape@smarden.org>  Mon, 21 Feb 2005 19:30:18 +0000

ipsvd (0.11.0-1) unstable; urgency=low

  * new upstream version.
    * fix typo in tcpsvd.8 (thx Bastian Kleineidam, closes: 293363).
  * debian/rules: check sslio program.

 -- Gerrit Pape <pape@smarden.org>  Sun, 20 Feb 2005 16:13:53 +0000

ipsvd (0.10.1-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Mon, 17 Jan 2005 10:03:45 +0000

ipsvd (0.10.0-1) unstable; urgency=low

  * new upstream version.
  * debian/copyright: adapt, 2005.



=== debian/control ===
Source: ipsvd
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Rules-Requires-Root: no
Standards-Version: 3.9.2.0
Homepage: https://smarden.org/ipsvd/
Vcs-Browser: https://salsa.debian.org/debian/ipsvd
Vcs-Git: https://salsa.debian.org/debian/ipsvd.git

Package: ipsvd
Architecture: any
Depends: ${shlibs:Depends}
Suggests: runit
Description: Internet protocol service daemons
 ipsvd is a set of Internet protocol service daemons for TCP/IP (optionally
 SSLv3) and UDP/IP.  A daemon waits for incoming connections on a socket;
 for new connections, it conditionally runs an arbitrary program to handle
 the connection.  The daemons can be told to read and follow pre-defined
 instructions on how to handle incoming connections; based on the client's
 IP address or hostname, they can run different programs, set a different
 environment, deny a connection, or set a per host concurrency limit.
 .
 ipsvd can be used to run services usually run by inetd or tcpserver.
 Normally the daemons are run by a supervisor process, such as runsv from
 the runit package.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/buildflags.mk

STRIP =strip
ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP =: nostrip
endif

CFLAGS +=-Wall
LDFLAGS +=
CC =gcc
ifneq (,$(findstring diet,$(DEB_BUILD_OPTIONS)))
  CC =diet -v -Os gcc -nostdinc
endif

DIR =$(shell pwd)/debian/ipsvd

build: deb-checkdir build-stamp
build-stamp:
	-gcc -v
	test -e ipsvd || ln -s ipsvd-1.0.0 ipsvd
	test -r conf-cc'{orig}' || cp -f ipsvd/src/conf-cc conf-cc'{orig}'
	echo '$(CC) $(CPPFLAGS) $(CFLAGS)' >ipsvd/src/conf-cc
	test -r conf-ld'{orig}' || cp -f ipsvd/src/conf-ld conf-ld'{orig}'
	echo '$(CC) $(LDFLAGS)' >ipsvd/src/conf-ld
	(cd ipsvd/ && package/compile && package/check)
	touch build-stamp

build-arch build-indep: build

clean: deb-checkdir
	rm -rf ipsvd/compile ipsvd/command
	rm -f build-stamp
	rm -rf '$(DIR)'
	rm -f debian/files debian/substvars changelog
	test ! -r conf-cc'{orig}' || mv -f conf-cc'{orig}' ipsvd/src/conf-cc
	test ! -r conf-ld'{orig}' || mv -f conf-ld'{orig}' ipsvd/src/conf-ld
	rm -f ipsvd
	find . \( -name '*~' -o -name '*.orig' -o -name '*.rej' \) -delete

install: deb-checkdir build-stamp
	rm -rf '$(DIR)'
	# programs
	install -d -m0755 '$(DIR)'/usr/bin
	for i in tcpsvd udpsvd ipsvd-cdb; do \
	  install -m0755 ipsvd/command/$$i '$(DIR)'/usr/bin/ || exit 1; \
	done
	$(STRIP) -R .comment -R .note '$(DIR)'/usr/bin/*
	# man pages
	for i in 5 7 8; do \
	  install -d -m0755 '$(DIR)'/usr/share/man/man$$i && \
	  for j in ipsvd/man/*.$$i; do \
	    install -m0644 $$j '$(DIR)'/usr/share/man/man$$i/ || exit 1; \
	  done || exit 1; \
	done
	rm -f '$(DIR)'/usr/share/man/man8/ssl*.8
	gzip -9n '$(DIR)'/usr/share/man/man?/*.?
	# changelog
	rm -f changelog && ln -s ipsvd/package/CHANGES changelog

binary-indep:

binary-arch: install ipsvd.deb
	test '$(CC)' != 'gcc' || dpkg-shlibdeps '$(DIR)'/usr/bin/*
	dpkg-gencontrol -isp -pipsvd -P'$(DIR)'
	dpkg-deb --root-owner-group --build '$(DIR)' ..

binary: binary-indep binary-arch
.PHONY: build clean install binary-indep binary-arch binary

include debian/implicit

=== debian/watch ===
version=4

https://smarden.org/ipsvd/install .*/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
